Runtime

## org.eclipse.gmf.runtime.diagram.ui.view.factories
Class ListCompartmentViewFactory

    java.lang.Object
      org.eclipse.gmf.runtime.diagram.ui.view.factories.AbstractViewFactory
          org.eclipse.gmf.runtime.diagram.ui.view.factories.BasicNodeViewFactory
              org.eclipse.gmf.runtime.diagram.ui.view.factories.ResizableCompartmentViewFactory
                  org.eclipse.gmf.runtime.diagram.ui.view.factories.ListCompartmentViewFactory

All Implemented Interfaces:
  ViewFactory

public class ListCompartmentViewFactory
extends ResizableCompartmentViewFactory

This is the bas factory class for all List compartment views, it will create the view and decorate it using the default decorations you can subclass it to add more decorations, or customize the way it looks, like adding new style

See Also:
  `#createView(IAdaptable, View, String, int, boolean, String)`, `BasicNodeViewFactory.decorateView(View, View, IAdaptable, String, int, boolean)`, `ListCompartmentViewFactory.createStyles(View)`

Constructor Summary
`ListCompartmentViewFactory()`

Method Summary
`protected java.util.List` `createStyles(View view)` this method is called by @link #createView(IAdaptable, View, String, int, boolean) to create the styles for the view that will be created, you can override this method in you factory sub class to provide additional styles

Methods inherited from class org.eclipse.gmf.runtime.diagram.ui.view.factories.BasicNodeViewFactory
`createLayoutConstraint, createNode, createView, decorateView, isUnProtectedSilentTransactionInProgress`

Methods inherited from class org.eclipse.gmf.runtime.diagram.ui.view.factories.AbstractViewFactory
`getEditingDomain, getPreferencesHint, getViewService, initializeFromPreferences, requiresElement, requiresElement, setPreferencesHint`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ListCompartmentViewFactory

    public ListCompartmentViewFactory()

Method Detail

### createStyles

    protected java.util.List createStyles(View view)

  this method is called by @link #createView(IAdaptable, View, String, int, boolean) to create the styles for the view that will be created, you can override this method in you factory sub class to provide additional styles

  Overrides:
    `createStyles` in class `ResizableCompartmentViewFactory`
  Returns:
    a list of style for the newly created view or an empty list if none (do not return null)

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.